Description

When using the pre button in the web editor to insert a pre-formatted code block for a project which uses Markdown formatting, the

lines inserted contain "~~~", which does not work in Markdown. It should insert lines "™

followed by an empty line, not sure).

"instead (possibly also preceded and

Very easy to reproduce: in a Markdown project, add an entry, press the "pre" button, click on "Preview". The resulting page shows

"~~~"instead of a proper code block.

Related issues:
Blocked by Redmine - Defect #25299: Markdown pre-block could derive incorrect...

Closed

Associated revisions

Revision 17295 - 2018-04-11 23:58 - Go MAEDA

Change the value of "pre" button in Markdown toolbar from "~~~"to """ (#22843).

Patch by Go MAEDA.

History

#1 - 2016-06-05 04:00 - Go MAEDA

'~~~"is also correct Markdown and works as expected on my environment.

http://spec.commonmark.org/0.25/#code-fence

#2 - 2017-12-24 16:03 - Anonymous

| made a long name plugin.

https://www.redmine.org/plugins/redmine_github_style fenced code_block

Certainly triple tildes are not wrong syntax, but most people are using triple back quotes.

So, it is one of the features of markdown that the readability is high even for raw data. However, the triple tildea is similar to the strike (double tilde)
syntax, and it is less readable. If it is a triple backquote, it can be distinguished from a strike. In addition, since it is similar in syntax to inline code

(single backquote), the format of the document is consistent.

| think that the input of the markdown toolbar should be changed to triple backquote.

#3 - 2018-01-08 05:47 - Go MAEDA

- Blocked by Defect #25299: Markdown pre-block could derive incorrect wiki sections added

#4 - 2018-01-08 06:13 - Go MAEDA
- File 22843-use-triple-back-quotes-for-fenced-code-block.diff added

- Tracker changed from Defect to Feature

- Subject changed from Markdown code blocks not inserted properly to Use " ™" instead of "~~~" for fenced code blocks in Markdown

- Target version set to 4.1.0

Taiki IKEGAME wrote:

Certainly triple tildes are not wrong syntax, but most people are using triple back quotes.
http://spec.commonmark.org/0.25/#code-fence
https://www.redmine.org/plugins/redmine_github_style_fenced_code_block

| agree with you, | feel """ is much more popular than "~~~". To be honest, | have not seen "~~~" other than Redmine.
| wrote a patch to use """ instead of "~~~". | suggest including this change in the future release. Setting target version to 4.1.0.

#5 - 2018-01-11 13:59 - Anonymous

@Maeda-san Thank you so much!

#6 - 2018-04-10 12:08 - Go MAEDA

I will commit this change within a few days. Feedback welcome.

#7 - 2018-04-10 12:31 - Marius BALTEANU
Go MAEDA wrote:

I will commit this change within a few days. Feedback welcome.

I'm in favour of making this change.

#8 - 2018-04-12 00:01 - Go MAEDA

- Subject changed from Use """ instead of "~~~" for fenced code blocks in Markdown to Change the value of "pre" button in Markdown toolbar from

Memn f

- Status changed from New to Closed
- Assignee set to Go MAEDA
- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed
Committed.

Files

22843-use-triple-back-quotes-for-fenced-code-block.diff 81 KB 2018-01-08 Go MAEDA
